/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: 'Poppins', sans-serif;
  overflow-x: hidden!important;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a {
  text-decoration: none;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
   scroll-behavior: auto;
  }
  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

.app {
  overflow-x: hidden!important;
}

.google_directional_form {
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
  top: 10px;
  z-index: 10;
}

.gmap_form_container {
  display: flex;
  gap: 10px;
  flex-direction: row;
  background: #FFFFFF;
  box-shadow: 3px 2px 8px 4px rgba(0, 0, 0, 0.21);
  border-radius: 10px;
  padding: 1rem;
  max-width: 90%;
}

.gmap_form_control {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 5px;
}

.gmap_form_control select {
  max-width: 300px;
}

.gmap_form_control option {
  max-width: 200px;
}

.gmap_form_control input {
  padding: .25rem;
  border-radius: 5px;
  border: .5px solid rgb(109, 109, 109);
}

.gmap_form_control input:focus {
  outline: 2px solid #FF6F91;
  border: none;
}

.gmap_form_control_info {
  display: flex;
  flex-direction: column;
}



.gmap_form_control_icons {
  display: flex;
  gap: 5px;
  flex-direction: column;
  justify-content: space-around;
}

.gmap_form_control_icons div {
  display: flex;
  justify-content: center;
  transition: all .3s ease;
}

.gmap_form_control_icons div i {
  font-size: 1.75rem;
  cursor: pointer;
  color: #FF6F91;
}

.gmap_form_control_icons div i:hover {
  color: #D169A3;
}

.gmap_form_control_icons select {
  text-align: center;
  outline: none;
  border: none;
  cursor: pointer;
  transition: all .3s ease;
  border-radius: 5px;
  text-transform: uppercase;
  background-color: #FF6F91;
  color: white;
}

.gmap_form_control_icons select:hover {
  background: #D169A3;
}

.map_container {
  width: 100vw;
  height: 100vh;
  z-index: 1;
}

.google_map_container {
  width: 100%;
  height: 100%;
}

.waypoints_group_info {
  display: flex;
  align-items: center;
  gap: 5px;
  font-weight: 600;
}

.gmap_table {
  padding: .25rem;
  background: white;
  z-index: 11;
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  transition: left .3s ease;
}

.tftable {
  position: relative;
}

.table_close {
  position: absolute;
  top: -150px;
  right: 0;
  padding: 1rem;
  border-radius: 48%;
  cursor: pointer;
}
.close {
  left: -70vw;
}

.gmap_table tr th, 
.gmap_table tr td {
  padding: 1rem;
}

.gmaps_container {
  display: flex;
}
/* 
@media screen and (min-width: 1080px) {
  .close {
    left: -84vw;
  }

  .table_close {
    top: -120px;
  }
}

@media screen and (min-width: 1440px) {
  .close {
    left: -60vw;
  }
}

@media screen and (max-width: 1660px) {
  .close {
    left: -62vw;
  }
}

@media screen and (min-width: 2000px) {
  .close {
    left: -30vw;
  }
}
 */
